Bug 476426 - Firefox dont change language in fedora 10 - KDE 4
Firefox dont change language in fedora 10 - KDE 4
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: firefox (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Martin Stransky
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-14 10:19 EST by luderson
Modified: 2009-11-24 08:30 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-24 08:30:39 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
This is rawhide, may helpful (3.08 KB, text/plain)
2009-05-19 00:12 EDT, A S Alam
no flags Details

  None (edit)
Description luderson 2008-12-14 10:19:49 EST
Description of problem:
Firefox dont chance the language.


Version-Release number of selected component (if applicable):
Firefox 3.0.4

How reproducible:


Steps to Reproduce:
1. Install Fedora 10 - KDE 4 using the live CD
2. Install Firefox from fedora repositories
3. Change the language of KDE to pt-BR
4. Try to change the language of firefox to pt-BR
  
Actual results:


Expected results:


Additional info:
Comment 1 Rex Dieter 2008-12-15 09:07:56 EST
Did you (try to) use 
system-config-language ?  

This may be required.   I have a hunch changing language in KDE's systemsettings only does so for KDE apps.
Comment 3 A S Alam 2008-12-16 05:44:02 EST
Few additional testing:
--------
Firefox + Gnome Desktop + GDM + Language Change works (with GDM) - PASS (firefox)
Firefox + KDE Desktop + GDM + Language Change (with GDM)- PASS (firefox)
Firefox + KDE Desktop + KDM + Langauge Change (with systemsetting*) - Failed (firefox)
--------
systemsetting has no effect on Firefox/Thunderbird, but Gnome Application follow
kde setting
Comment 4 Martin Stransky 2009-01-06 06:05:35 EST
Can you please attach your env lang. variables? (like LANG and so on)
Comment 5 luderson 2009-01-16 19:26:06 EST
Sorry, but how can I do that??
Comment 6 Matěj Cepl 2009-01-17 04:40:28 EST
Wrinte in gnome-terminal/konsole this

env >/tmp/my-environment.txt

and attach the file to this bug, please.

THank you very much.
Comment 8 Matěj Cepl 2009-05-18 08:09:37 EDT
Reporter, could you please reply to the previous question? If you won't reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.
Comment 9 A S Alam 2009-05-19 00:12:00 EDT
Created attachment 344561 [details]
This is rawhide, may helpful
Comment 10 Matěj Cepl 2009-05-19 06:13:40 EDT
a) are you able to reproduce the same issue on Rawhide with the latest packages?
b) output of the command locale would be helpful as well (i.e., run just locale, no parameters)

Thank you
Comment 11 A S Alam 2009-05-19 06:47:31 EDT
a) Yes, Rawhide has same issue.
Comment 12 A S Alam 2009-05-19 06:48:40 EDT
LANG=pa_IN.UTF-8
LC_CTYPE="pa_IN.UTF-8"
LC_NUMERIC="pa_IN.UTF-8"
LC_TIME="pa_IN.UTF-8"
LC_COLLATE="pa_IN.UTF-8"
LC_MONETARY="pa_IN.UTF-8"
LC_MESSAGES="pa_IN.UTF-8"
LC_PAPER="pa_IN.UTF-8"
LC_NAME="pa_IN.UTF-8"
LC_ADDRESS="pa_IN.UTF-8"
LC_TELEPHONE="pa_IN.UTF-8"
LC_MEASUREMENT="pa_IN.UTF-8"
LC_IDENTIFICATION="pa_IN.UTF-8"
LC_ALL=
Comment 13 Matěj Cepl 2009-05-27 17:08:04 EDT
Reporter, could you please reply to the previous question? If you won't reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.
Comment 14 Bug Zapper 2009-11-18 05:28:23 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 15 Jens Petersen 2009-11-24 00:39:50 EST
(In reply to comment #11)
> a) Yes, Rawhide has same issue.  

Then please move the version in the bug ;)
Comment 16 Jens Petersen 2009-11-24 00:41:32 EST
Worksforme in F12 anyway.
Comment 17 Matěj Cepl 2009-11-24 08:30:39 EST
(In reply to comment #16)
> Worksforme in F12 anyway.  

Thank you for letting us know.

Note You need to log in before you can comment on or make changes to this bug.